﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfControlLibrary
{
    /// <summary>
    /// Interaction logic for XamDataGridUserControl.xaml
    /// </summary>
    public partial class XamDataGridUserControl : UserControl
    {
        public XamDataGridUserControl()
        {
            InitializeComponent();
            this.DataContext = new SampleData();
        }
    }

    public class SampleDataItem
    {
        public string name { get; set; }
        public string department { get; set; }
        public double salary { get; set; }
        public string email { get; set; }
    }

    public class SampleData : ObservableCollection<SampleDataItem>
    {
        public SampleData()
        {
            Add(new SampleDataItem { name = "Joe", department = "Sales", salary = 70000.0, email = "joe@email.com" });
            Add(new SampleDataItem { name = "Mary", department = "Engineering", salary = 71000.0, email = "mary@email.com" });
            Add(new SampleDataItem { name = "Jim", department = "Sales", salary = 72000.0, email = "jim@email.com" });
        }
    }
}
